NX Open C++ Reference Guide
|
Builder class for clock part object <br> To create a new instance of this class, use @link Routing::RouteManager::CreateClockPartBuilder Routing::RouteManager::CreateClockPartBuilder @endlink <br>
Default values. More...
Public Member Functions | |
void | DragByTransform (const NXOpen::Vector3d &translation, const NXOpen::Matrix3x3 &rotation) |
Drag the selected objects by the given translation and rotation. | |
void | InitializeFromPort (NXOpen::Routing::Port *port) |
Initializes (or resets) the builder based off of the input line segment. | |
NXOpen::SelectNXObject * | PortSelection () |
Returns the user selected Routing::Port for rotation of compoent Created in NX7.5.0. | |
NXOpen::Expression * | RotationAngle () |
Returns the rotation angle applied to the component for rotation Created in NX7.5.0. | |
void | SetLockEngagement (bool lockEngagement) |
Set EngagementLock of builder attribute Created in NX7.5.3. | |
void | SetLockRotation (bool lockRotation) |
Set RotationLock of builder attribute Created in NX7.5.3. | |
void | StartDrag () |
Begin a drag operation. | |
void | StopDrag () |
End a drag operation. | |
void | SuppressPortConstraint (NXOpen::Routing::Port *portTag, bool suppress) |
Suppress the constraind applied to the selected Routing::Port Created in NX7.5.0. | |
void | UpdateRotationAngle (double angle) |
Suppress the constraind applied to the selected Routing::Port Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder class for clock part object <br> To create a new instance of this class, use @link Routing::RouteManager::CreateClockPartBuilder Routing::RouteManager::CreateClockPartBuilder @endlink <br>
Default values.
Property | Value |
---|---|
RotationAngle.Value |
0 |
Created in NX7.5.0.
void NXOpen::Routing::ClockPartBuilder::DragByTransform | ( | const NXOpen::Vector3d & | translation, |
const NXOpen::Matrix3x3 & | rotation | ||
) |
Drag the selected objects by the given translation and rotation.
Only call after invoking the Routing::ClockPartBuilder::StartDrag method. After finished dragging, call Routing::ClockPartBuilder::StopDrag .
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
translation | The translation to be applied. |
rotation | The rotation to be applied |
void NXOpen::Routing::ClockPartBuilder::InitializeFromPort | ( | NXOpen::Routing::Port * | port | ) |
Initializes (or resets) the builder based off of the input line segment.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
port | port object, may be NULL |
NXOpen::SelectNXObject* NXOpen::Routing::ClockPartBuilder::PortSelection | ( | ) |
Returns the user selected Routing::Port for rotation of compoent
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
NXOpen::Expression* NXOpen::Routing::ClockPartBuilder::RotationAngle | ( | ) |
Returns the rotation angle applied to the component for rotation
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::ClockPartBuilder::SetLockEngagement | ( | bool | lockEngagement | ) |
Set EngagementLock of builder attribute
Created in NX7.5.3.
License requirements : routing_base ("Routing Basic")
lockEngagement | Lock Engagement |
void NXOpen::Routing::ClockPartBuilder::SetLockRotation | ( | bool | lockRotation | ) |
Set RotationLock of builder attribute
Created in NX7.5.3.
License requirements : routing_base ("Routing Basic")
lockRotation | Lock Rotation |
void NXOpen::Routing::ClockPartBuilder::StartDrag | ( | ) |
Begin a drag operation.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::ClockPartBuilder::StopDrag | ( | ) |
End a drag operation.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::ClockPartBuilder::SuppressPortConstraint | ( | NXOpen::Routing::Port * | portTag, |
bool | suppress | ||
) |
Suppress the constraind applied to the selected Routing::Port
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::ClockPartBuilder::UpdateRotationAngle | ( | double | angle | ) |
Suppress the constraind applied to the selected Routing::Port
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
angle | true to suppress , false to unsuppress |